* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --primary-color: #595959;
  --secondary-color: #f4f4f4;
  --tertiary-color: #252627;
  --border-color: #e1e8ef;
  --btn-color: #ff5d53;
  --dark-gray: #adadad;
  --border-radius-primary: 7px;
  --border-radius-full: 9999px;
}
body {
  background-color: #fff;
  font-family: "Poppins", serif;
  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
/* base styles */
.container {
  max-width: 1026px;
  padding: 0 1rem;
  margin: 0 auto;
}
.text-center {
  text-align: center;
}
img {
  max-width: 100%;
}
.hidden {
  display: none;
}
.error {
  font-size: 12px;
  margin: -12px auto 8px;
  color: red;
}
/* header */
.header {
  background-color: var(--secondary-color);
  padding: 13px 0px;
  max-width: none;
  border-bottom: 1px solid var(--border-color);
}
#logo {
  color: var(--primary-color);
  font-weight: 700;
}
#logo img {
  max-height: 29px;
}
.navbar-brand img {
  max-height: 29px;
}
.no-scrollbar::-webkit-scrollbar {
  display: none;
}
/* hero section */
.hero-container {
  padding: 0 1rem;
  margin: 0 auto;
}
.hero-section {
  position: relative;
  padding: 60px 0;
  z-index: 0;
}
.hero-top-text {
  display: none;
  max-width: 636px;
  margin: 0 auto;
  font-size: 12px;
  color: #9da9b4;
}
.hero-wrapper {
  display: grid;
  grid-template-columns: 1fr;
  gap: 40px;
}
.text-section {
  display: none;
  border-right: 1px solid var(--border-color);
}

.title {
  font-size: 25px;
  color: var(--primary-color);
  font-weight: 400;
  line-height: 1.1;
  margin-bottom: 16px;
}
.secondary-title {
  font-size: 32px;
  color: var(--primary-color);
  font-weight: 700;
  line-height: 1.1;
  margin-bottom: 16px;
  font-style: italic;
  text-align: center;
}
.description {
  color: var(--dark-gray);
  text-align: center;
}
.title-wrapper {
  max-width: 718px;
  margin: 0 auto;
}
.mobile .title {
  display: block;
}

.button {
  background-color: var(--btn-color);
  color: #fff;
  font-size: 30px;
  font-weight: bold;
  padding: 10px 40px;
  border: none;
  border-radius: var(--border-radius-primary);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  cursor: pointer;
  width: 100%;
  max-width: 300px;
  min-height: 90px;
}

.button img,
.sticky-btn img {
  width: 50px;
}

.status {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  color: #686868;
  margin: 0 auto;
}

.status img {
  margin-right: 5px;
}
.hero-bg {
  display: none;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  max-height: 239px;
  z-index: -1;
}
.hero-bg-left {
  left: 18px;
}
.hero-bg-right {
  right: 18px;
}

/* featured section */
.feature-section {
  border: 1px solid var(--border-color);
  background-color: var(--secondary-color);
  padding: 30px 0;
}
.feature-container {
  display: flex;
  min-height: 145px;
  margin: auto;
  overflow-x: auto;
  scrollbar-width: none;
}

.feature {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-width: 171px;
  width: 100%;
  border-left: 1px solid var(--border-color);
  padding: 0 13px;
}

.feature:first-child {
  border-left: none;
}

.feature img,
.feature svg {
  color: #303030;
  max-height: 50px;
  margin-bottom: 15px;
}

.feature-title {
  color: var(--primary-color);
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  margin-bottom: 4px;
}

.feature-subtitle {
  color: #58646d;
  font-size: 13px;
  text-align: center;
}

/* steps section */
.steps-section {
  /*  display: none;*/
  padding: 36px 0;
}
.steps-border-wrapper {
  border-bottom: 1px solid var(--border-color);
  padding-bottom: 45px;
  max-width: 770px;
  margin: 0 auto;
}
.stepsTitle {
  color: #848484;
  font-size: 18px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 20px;
}
.steps-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 20px;
}

.steps-wrapper .step {
  display: flex;
  align-items: center;
  color: #a4a4a4;
  font-size: 15px;
  margin-bottom: 0;
}
.steps-wrapper .step-nr {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  background-color: var(--secondary-color);
  border-radius: var(--border-radius-full);
  color: #9c9c9c;
  font-weight: 700;
}
.step-splitter {
  width: 38px;
  height: 1px;
  background-color: var(--secondary-color);
  margin: 0 20px;
  position: relative;
}

/* begin section */
.begin-section {
  padding: 36px 0;
  text-align: center;
}
.begin-section .heading {
  color: var(--primary-color);
  font-size: 37px;
  text-align: center;
  margin-top: 60px;
  max-width: 420px;
  margin: 50px auto;
}

.features-overlay {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 22px;
  background-color: #ffffff26;
  text-align: center;
}

.feature-item {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--primary-color);
  font-size: 16px;
}

.feature-item img {
  width: 18px;
  height: 18px;
  margin-right: 6px;
}
.feature-item .feature-text {
  margin-right: 6px;
}

.section {
  padding: 32px 0;
}

/* entertainment section */
.entertainment-section {
  padding-top: 80px !important;
  position: relative;
}
.section-bg {
  position: absolute;
  left: 0;
  z-index: -1;
}
.entertainment-wrapper {
  padding-top: 40px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
}
.entertainment-wrapper .entertainment-card {
  max-width: 218px;
  aspect-ratio: 182/312;
  border-radius: var(--border-radius-primary);
  overflow: hidden;
}
.entertainment-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.02);
  border-radius: var(--border-radius-primary);
}

/* content section */
.content-wrapper .title-wrapper {
  width: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.content-wrapper .title-wrapper .secondary-title {
  max-width: 718px;
  margin-right: auto;
  margin-left: auto;
}
.content-wrapper .title-wrapper .description {
  max-width: 718px;
  margin-right: auto;
  margin-left: auto;
}
.content-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 32px;
}
.content-wrapper .content-card {
  max-width: 221px;
  display: flex;
  flex-direction: column;
  border-radius: var(--border-radius-primary);
  overflow: hidden;
}
.content-card .content-card-img {
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
  border-radius: var(--border-radius-primary) var(--border-radius-primary) 0 0;
  aspect-ratio: 221/102;
}
.content-card .content-card-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}
.content-card:hover .content-card-img img {
  transform: scale(1.1);
}
.content-card.current .content-card-text {
  background-color: #455e74;
  color: #fff;
}
.content-card .content-card-text {
  min-height: 120px;
  height: 100%;
  background-color: var(--secondary-color);
  padding: 14px;
  color: #58646d;
}
.content-card .content-card-text h3 {
  font-size: 16px;
  font-weight: 700;
  margin-bottom: 4px;
}
.content-card .content-card-text p {
  font-size: 12px;
  line-height: 16px;
}

/* cta-section */
.cta-section .cta-wrapper {
  margin: 0 -1rem;
  padding: 60px 20px;
  background-color: var(--secondary-color);
  border: 1px solid var(--border-color);
  text-align: center;
}
.cta-section .title-wrapper {
  margin-bottom: 40px;
}
.cta-section .button {
  min-height: unset;
  max-width: 256px;
  padding: 14px 20px;
  font-size: 24px;
}
.cta-section .button img {
  width: 40px;
}

/* footer */
footer {
  padding: 130px 0 25px;
}
.footer-wrapper {
  max-width: 666px;
  margin: 0 auto;
}
.footer-wrapper p {
  color: #9c9c9c;
  font-size: 10px;
  line-height: 11px;
  text-align: center;
}
.footer-wrapper .disclaimer-text {
  background-color: #f8fbff;
  padding: 10px 20px;
  border-radius: var(--border-radius-primary);
  margin: 0 1rem;
}
.footer-bottom {
  max-width: 200px;
  margin: 0 auto;
  font-size: 10px;
  line-height: 1.5;
  text-align: center;
  color: #9c9c9c;
}
.privacy-policy {
  text-align: center;
  margin-top: 40px;
  margin-bottom: 45px;
  text-align: center;
}
.privacy-policy a {
  display: inline-block;
  color: black !important;
  text-decoration: underline;
  font-size: 12px;
  line-height: 24px;
  transition: 0.3s ease-in-out;
  margin-right: 8px;
}
.privacy-policy a:last-child {
  margin-right: 0px;
}
.privacy-policy a:hover {
  opacity: 0.8;
}
/* modal styles */
.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 50;
}
.modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) !important;
  z-index: 100;
  border-radius: var(--border-radius-primary);
  max-width: 632px;
  width: 100%;
  max-height: calc(100dvh - 32px);
  overflow-y: auto;
}
.form-modal {
  display: flex;
  flex-direction: column;
  border-radius: var(--border-radius-primary);
  overflow: hidden;
  margin: 10px;
}
.modal-left {
  flex: 1;
  background-color: var(--tertiary-color);
  color: #fff;
}
.form-left-header {
  background-color: #181919;
  padding: 20px 16px;
}
.form-left-header p {
  font-size: 18px;
  font-weight: 400;
  line-height: 18px;
  margin-bottom: 4px;
}
.form-left-header h3 {
  font-size: 20px;
  font-weight: 700;
  line-height: 30.8px;
  color: var(--secondary-color);
  margin-bottom: 0 !important;
}
.steps {
  background-color: #fff;
  padding: 15px;
}
.step {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-bottom: 16px;
}
.step:last-child {
  margin-bottom: 0;
}

.nr {
  flex-shrink: 0;
  background-color: var(--secondary-color);
  color: #9c9c9c;
  border-radius: var(--border-radius-full);
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  display: grid;
  place-content: center;
  font-size: 16px;
  line-height: 24px;
}
.nr.active {
  background-color: var(--tertiary-color);
  color: #fff;
  width: 32px;
  height: 32px;
  font-size: 16px;
  font-weight: bold;
  line-height: 32px;
}

.text {
  color: #7e7e7e;
}

.text.active {
  font-weight: bold;
  font-size: 18px;
  color: var(--tertiary-color);
}

.modal-right {
  flex: 1;
  padding: 30px 24px 20px;
  background-color: #eeeeee;
  color: var(--tertiary-color);
  text-align: center;
}
.show-for-medium-up {
  display: none;
  font-size: 18px;
  font-weight: 700;
  line-height: 25.2px;
}

.input-container {
  position: relative;
  margin-bottom: 20px;
}

.input-container input {
  width: 100%;
  padding: 15px 10px;
  padding-left: 40px;
  border: 1px solid #ababab;
  border-radius: var(--border-radius-primary);
  font-size: 16px;
  color: var(--primary-color);
}
.input-container input:focus {
  outline: 0;
}

.input-container img {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
  width: 26px;
  height: 26px;
}

.btn-submit {
  width: 100%;
  padding: 15px;
  background-color: var(--btn-color);
  color: #fff;
  border: none;
  border-radius: var(--border-radius-primary);
  font-size: 18px;
  font-weight: 700;
  cursor: pointer;
}

.footer {
  font-size: 11px;
  color: #9c9c9c;
  text-align: center;
  margin-top: 10px;
}

/* media queries */
@media screen and (min-width: 640px) {
  .hero-container {
    max-width: 400px;
  }
  .button {
    font-size: 35px;
    padding: 10px 60px;
    max-width: 400px;
  }
  .status {
    max-width: 100%;
    margin-top: 64px !important;
  }
  .sticky-btn {
    font-size: 35px;
    padding: 10px 60px;
  }
  .button img,
  .sticky-btn img {
    width: 67px;
  }
  .form-modal {
    flex-direction: row;
  }
  .modal-left {
    min-width: 300px;
  }
  .form-left-header {
    padding: 17px 24px;
  }
  .steps {
    background-color: var(--tertiary-color);
    padding: 20px 24px 28px;
  }
  .nr {
    background-color: var(--btn-color);
    color: #fff;
  }
  .nr.active {
    background-color: #fff;
    color: var(--tertiary-color);
  }
  .text {
    color: #dcdcdc;
  }
  .text.active {
    color: #fff;
    font-size: 16px;
  }
  .modal-right {
    flex: 1;
    padding: 30px 24px 20px;
    background-color: #fff;
    color: var(--tertiary-color);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .show-for-medium-up {
    display: block;
  }
  .form-fields {
    margin-top: 16px;
  }
  footer {
    padding-top: 180px;
  }
  .sub-page .sub-page-container {
    font-size: 16px !important;
  }
  .page-content-wrapper {
    padding-left: 3rem !important;
  }
  .sub-page h1 {
    font-size: 32px !important;
  }
  .sub-page h2 {
    font-size: 24px !important;
  }
  .section {
    padding: 40px 0;
  }
  .cta-section .cta-wrapper {
    margin: 0;
    padding: 80px 20px;
    border-radius: var(--border-radius-primary);
  }
}

@media screen and (min-width: 768px) {
  .hero-container {
    max-width: 650px;
  }
  .hero-section {
    padding: 19px 0 80px 0;
  }
  .hero-top-text {
    display: block;
  }
  .hero-wrapper {
    padding-top: 90px;
    grid-template-columns: 1fr 1fr;
  }
  .text-section {
    display: block;
    height: fit-content;
    padding-bottom: 32px;
  }
  .title {
    font-size: 36px;
  }
  .mobile.title {
    display: none;
  }
  .steps-section {
    display: block;
  }
  .begin-section {
    padding: 72px 0;
  }
  footer {
    padding-bottom: 40px;
  }
}

@media screen and (max-width: 768px) {
  .steps-border-wrapper {
    border-bottom: none;
  }
  .steps-wrapper {
    flex-direction: column;
    row-gap: 20px;
    align-items: flex-start;
    margin: auto;
    width: fit-content;
  }
  .step-splitter {
    display: none;
  }
  .steps-section {
    padding-top: 112px;
  }
  .hero-section {
    padding-top: 0;
  }
  .feature-section {
    padding: 17.5px 0;
  }
}

@media screen and (min-width: 1024px) {
  .hero-bg {
    display: block;
  }
  .content-wrapper .title-wrapper {
    max-width: calc(50% - 16px);
    margin: 0;
  }
  .content-wrapper .title-wrapper .secondary-title {
    text-align: left;
    margin-right: 0;
    margin-left: 0;
  }
  .content-wrapper .title-wrapper .description {
    text-align: left;
    margin-right: 0;
    margin-left: 0;
  }
  .content-wrapper {
    justify-content: start;
  }
  .content-wrapper .content-card {
    flex: 1;
    min-width: 200px;
  }
}

@media screen and (min-width: 1280px) {
  .hero-container {
    max-width: 786px;
  }
  .hero-wrapper {
    gap: 66px;
  }
}

@media screen and (max-width: 430px) {
  .begin-section {
    display: none !important;
  }
}

/* animation */
.animate-in {
  animation: fadeIn 0.3s forwards;
}

.animate-out {
  animation: fadeOut 0.3s forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: scale(0.5);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
    transform: scale(1);
  }
  100% {
    opacity: 0;
    transform: scale(0.5);
  }
}

/* terms and privacy css */
.sub-page .sub-page-container {
  padding-top: 3rem;
  padding-bottom: 3rem;
  font-size: 14px;
}
.page-content-wrapper {
  padding-left: 0;
}
.sub-page h1 {
  color: #58646d !important;
  font-size: 24px;
  margin-bottom: 1rem;
}
.sub-page h2 {
  color: #797979;
  font-size: 18px;
  margin-bottom: 1rem;
}
.sub-page p {
  color: #797979;
  margin-bottom: 12px;
}
.sub-page ul {
  padding-left: 1rem;
  color: #797979;
  margin-bottom: 12px;
}
.sub-page li {
  color: #797979;
  margin-bottom: 12px;
}
.sub-page li ul {
  margin-top: 12px;
}
.sub-page a {
  color: #0537da;
  text-decoration: underline;
  transition: 0.3s ease-in-out;
}
.sub-page a:hover {
  opacity: 0.8;
}

/* contact us page */
.contact-card {
  display: flex;
  gap: 24px;
}
.contact-card .contact-icon {
  flex-shrink: 0;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.contact-card .contact-icon img {
  max-width: 32px;
}
.contact-card .contact-content p {
  margin-bottom: 4px;
}
.contact-card .contact-content a {
  color: #797979 !important;
}
.font-normal {
  font-weight: normal !important;
}

/* step section */
@media screen and (max-width: 768px) {
  .steps-section.style1 {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60vh;
    padding: 36px 0 !important;
  }
  .mobile.title.style1 {
    display: none !important;
  }
  .button.style1 {
    display: none !important;
  }
}
.mobile.title.style1 {
  display: inline-flex;
}
.button.style1 {
  display: inline-flex;
}
/* sticky button styles */
.sticky-btn {
  text-decoration: none;
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  display: none;
  box-shadow: 0px -8px 16px 0px #00000033;
  background-color: var(--btn-color);
  color: #fff;
  font-size: 30px;
  font-weight: bold;
  padding: 24px 10px;
  border: none;
  width: 100%;
  min-height: 90px;
}
.sticky-btn .title {
  font-size: 14px;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  text-align: center;
  color: #fff;
  margin: 0 auto 5px;
}
.sticky-btn .btn-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
@media screen and (max-width: 768px) {
  .sticky-btn {
    display: block;
  }
}
